import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { member } from "./member";
import { executivePosition } from "../../settings/executivePosition";

@Entity()
export class memberExecutivePositions {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255, nullable: true })
  note?: string;

  @Column({ type: "date" })
  start: Date;

  @Column({ type: "date", nullable: true })
  end?: Date;

  @Column()
  memberId: number;

  @Column()
  executivePositionId: number;

  @ManyToOne(() => member, (member) => member.awards, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  member: member;

  @ManyToOne(() => executivePosition, (executivePosition) => executivePosition.members, {
    nullable: false,
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
  })
  executivePosition: executivePosition;
}
